#!/usr/bin/env python
import time
from time import sleep
import pygame
import sys
import RPi.GPIO as GPIO
from mfrc522 import SimpleMFRC522
import re
from subprocess import Popen

reader = SimpleMFRC522()

# Welcome Message
print("Looking for cards")
print("Press Ctrl-C to stop.")

# This loop checks for tags.  If tag appears, the text written to the 
# tag will be output
textloop = "Start"
try:

	while True:
		print("Hold a tag near the reader")
		id, text = reader.read()
		print("ID: %s\nText: %s" % (id, text))
		if text == textloop and pygame.mixer.music.get_busy() == True:
			pass
		else:
			character = " ".join(re.findall("[a-zA-Z]+", text))
			filepath = ("/home/pi/pi-rfid/%s.wav"%character)
			# Just added the following three lines to prevent errors. 
			# Code should skip the bad reading and continue to look
			# for tags
			if filepath == "/home/pi/pi-rfid/.wav":
				continue
			else:
				print("filepath is: %s"%filepath)
				pygame.mixer.init()
				pygame.mixer.music.load(filepath)
				# pygame.mixer.music.load("%s.wav"%(character))
				pygame.mixer.music.set_volume(1.0)
				pygame.mixer.music.play()
		textloop = text
		sleep(2)
except Exception:
	GPIO.cleanup()
	pass
except KeyboardInterrupt:
	GPIO.cleanup()
	raise